Bug 118427 - Hard coded dependancy on XFree86
Summary: Hard coded dependancy on XFree86
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomeprint
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: xorgdeps
TreeView+ depends on / blocked
 
Reported: 2004-03-16 17:37 UTC by Mike A. Harris
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.116.0-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-17 04:46:52 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2004-03-16 17:37:48 UTC
The libgnomeprint spec file contains the following hard coded
dependancy which makes it unnecessarily dependant on XFree86:

    PreReq: XFree86

I've had a quick look to see if I could determine why the dep
was added, but couldn't see anything obvious.  I believe this
dependancy can just be removed, however someone should check
to ensure that is ok first.  If there is a dependancy still
present in the package which requires a hard dep on something
from the X11 packaging, please let me know what the real dependancy
is on, and I will try to accomodate it with a solution, perhaps
a virtual provides or something else.

Thanks in advance.

Comment 1 Mike A. Harris 2004-03-17 04:46:52 UTC
Fixed in libgnomeprint-1.116.0-10 in dist-fc2


Note You need to log in before you can comment on or make changes to this bug.